/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef PLAY_PRINT_H
#define PLAY_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genBasicTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/playPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_PLAY_BUMPERS_POSTER_STR ( buf_t buf, struct PLAY_BUMPERS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_SONARSCART_POSTER_STR ( buf_t buf, struct PLAY_SONARSCART_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_POMSICK_POSTER_STR ( buf_t buf, struct PLAY_POMSICK_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_POM_POSTER_STR ( buf_t buf, struct PLAY_POM_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_POSITION_POSTER_STR ( buf_t buf, struct PLAY_POSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_STR ( buf_t buf, struct PLAY_STR *x, int nDim, int *dims);
void buf_add_struct_PLAY_BUMPERS ( buf_t buf, struct PLAY_BUMPERS *x, int nDim, int *dims);
void buf_add_struct_PLAY_SONARS ( buf_t buf, struct PLAY_SONARS *x, int nDim, int *dims);
void buf_add_struct_PLAY_SENSORS_HEADER ( buf_t buf, struct PLAY_SENSORS_HEADER *x, int nDim, int *dims);
void buf_add_struct_PLAY_SPEED ( buf_t buf, struct PLAY_SPEED *x, int nDim, int *dims);
void buf_add_struct_PLAY_CONFIG ( buf_t buf, struct PLAY_CONFIG *x, int nDim, int *dims);
void buf_add_struct_PLAY_POS ( buf_t buf, struct PLAY_POS *x, int nDim, int *dims);
void buf_add_struct_PLAY_POINT ( buf_t buf, struct PLAY_POINT *x, int nDim, int *dims);
void buf_add_struct_PLAY_STATUS ( buf_t buf, struct PLAY_STATUS *x, int nDim, int *dims);
void buf_add_struct_PLAY_CONNECT ( buf_t buf, struct PLAY_CONNECT *x, int nDim, int *dims);
void buf_add_enum_PLAY_BOOL ( buf_t buf, enum PLAY_BOOL *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_PLAY_BOOL ( buf_t buf, PLAY_BOOL *x, int nDim, int *dims);
void buf_add_PLAY_CONNECT ( buf_t buf, PLAY_CONNECT *x, int nDim, int *dims);
void buf_add_PLAY_STATUS ( buf_t buf, PLAY_STATUS *x, int nDim, int *dims);
void buf_add_PLAY_POINT ( buf_t buf, PLAY_POINT *x, int nDim, int *dims);
void buf_add_PLAY_POS ( buf_t buf, PLAY_POS *x, int nDim, int *dims);
void buf_add_PLAY_CONFIG ( buf_t buf, PLAY_CONFIG *x, int nDim, int *dims);
void buf_add_PLAY_SPEED ( buf_t buf, PLAY_SPEED *x, int nDim, int *dims);
void buf_add_PLAY_SENSORS_HEADER ( buf_t buf, PLAY_SENSORS_HEADER *x, int nDim, int *dims);
void buf_add_PLAY_SONARS ( buf_t buf, PLAY_SONARS *x, int nDim, int *dims);
void buf_add_PLAY_BUMPERS ( buf_t buf, PLAY_BUMPERS *x, int nDim, int *dims);
void buf_add_PLAY_STR ( buf_t buf, PLAY_STR *x, int nDim, int *dims);
void buf_add_PLAY_POSITION_POSTER_STR ( buf_t buf, PLAY_POSITION_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLAY_POM_POSTER_STR ( buf_t buf, PLAY_POM_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLAY_POMSICK_POSTER_STR ( buf_t buf, PLAY_POMSICK_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLAY_SONARSCART_POSTER_STR ( buf_t buf, PLAY_SONARSCART_POSTER_STR *x, int nDim, int *dims);
void buf_add_PLAY_BUMPERS_POSTER_STR ( buf_t buf, PLAY_BUMPERS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* PLAY_TCLSERV_CLIENT_ENCODE_H */

